namespace AziendaBibite;

public class BevandaAlcolica : Bevanda
{
    public int Gradazione { get; private set; }
    
    public BevandaAlcolica(string nome, string listaIngredenti, int quantità, int gradazione) 
        : base(nome, listaIngredenti, quantità) {
        Gradazione = gradazione;
    }

    public override string Info()
    {
        return String.Format("Codice: {0}, Nome: {1}, Ingredienti: {2}, Quantità: {3}, Gradazione: {4}", 
            Codice, Nome, ListaIngredenti, Quantità, Gradazione);
    }
}